#!/usr/bin/python

##
# Labels all models in a collection
#
import os, sys;
sys.path.append(os.path.realpath("./"+os.path.dirname(sys.argv[0])+"/scripts/largescale/"))
import mydb;

workDir = "./scratch"
if len(sys.argv)>=4:
	tmplt = sys.argv[1]
	dbdir = sys.argv[2]
	outdir = sys.argv[3]
	i = 4;
	while i<len(sys.argv):
		if (sys.argv[i]=="-workDir"):
			i = i + 1;
			workDir = sys.argv[i];
		i = i + 1;
else:
	print("Usage:")
	print("   fitAll.py final.tmplt collection_dir out_dir [optional]");
	print("Optional:");
	print("    -workDir dir - working directory (default=./scratch)");
	exit()

# prepare collection
if os.path.isdir(workDir):
	os.system("rm -r -f "+workDir);
os.system("mkdir "+workDir);
os.system("mkdir "+workDir+"/Templates/");
os.system("mkdir "+workDir+"/Templates/GenFinal/");

if not os.path.isdir(outdir):
	os.system("mkdir "+outdir);
os.system("cp "+tmplt+" "+workDir+"/Templates/GenFinal/main.tmplt");

os.system("./scripts/largescale/createFromDir.py "+dbdir+" "+workDir+"/");
os.system("./scripts/largescale/createAllPointSets.py "+workDir+" 1000");

# analyze collection
cmd = "./scripts/evolution/labelPoints.py "+workDir + " "+tmplt +" ";
cmd += workDir+"/Templates/GenFinal -outDirIsAbsolute ";
os.system(cmd);

# export results
cmd = "./exportAnalysis.py "+workDir+" "+workDir+"/Templates/GenFinal "+outdir;
os.system(cmd);




