<html>
<head>
</head>
<body bgcolor="White">
<?php
{
	$dataDir = "../data/";
	include("functions.php");
	
	if (isset($_GET['dataset']))
		$dataset = $_GET['dataset'];
	else
		$dataset = "none";
		
	if (isset($_GET['dataType']))
		$dataType = $_GET['dataType'];
	else
		$dataType = "";
		
	if (isset($_GET['method']))
		$method = $_GET['method'];
	else
		$method = "none";
		
	if (isset($_GET['template']))
		$template = $_GET['template'];
	else
		$template = "none";
		
	if (isset($_GET['page']))
		$page = $_GET['page'];
	else
		$page = 0;
		
	if (isset($_GET['mpfx']))
		$mpfx = $_GET['mpfx'];
	else
		$mpfx = "";

	if (isset($_GET['seed']))
		$seed = $_GET['seed'];
	else
		$seed = "";

	if (isset($_GET['mpostfx']))
		$mpostfx = $_GET['mpostfx'];
	else
		$mpostfx = "";
	
	if (isset($_GET['printflags']))
		$printflags = $_GET['printflags'];
	else
		$printflags = "";

	if (isset($_GET['filelist']))
		$filelist = $_GET['filelist'];
	else
		$filelist = "LabeledModels";
	
	if (isset($_GET['nMaxPerPage']))
		$nMaxPerPage = $_GET['nMaxPerPage'];
	else
		$nMaxPerPage = 20;

	if (isset($_GET['publish']))
		$publish = $_GET['publish'];
	else
		$publish = "debug";

	if (isset($_GET['coAlignThresh']))
		$coAlignThresh = $_GET['coAlignThresh'];
	else
		$coAlignThresh = "";

	if (isset($_GET['special']))
		$special = $_GET['special'];
	else
		$special = "";
	
	//$allmpfx=array("", "aligned", "basic_tmplt", "useMesh", "FEuseMesh", "manual");
	$allmpfx=array("", "fast", "init", "inittrue", "initsidi", "initncuts", "initkmedian");
	$allmpostfix=array("", "GenFinal", "Gen0");
	
	function getOrder($filename, $referenceNames, $offset, &$order, &$classNames)
	{
		if (!file_exists($filename))
		{
			echo "Cannot find ".$filename.". DO NOT CALL getOrder()!!";
			exit();
		}
		$orderUsed = array();
		$lines = file($filename);
		for ($i=$offset; $i<count($lines); $i++)
		{
			$cLine = split(" ", $lines[$i]);
			array_push($classNames, $cLine[0]);
			array_push($orderUsed, 0);
		}
		
		for ($i=0; $i<count($referenceNames); $i++)
		{
			if (in_array($referenceNames[$i], $classNames))
			{
				$id = array_search ( $referenceNames[$i] , $classNames );
				array_push($order, $id);
				$orderUsed[$id] = 1;
			}
		}
		
		for ($i=0; $i<count($orderUsed); $i++)
		{
			if ($orderUsed[$i]==0)
				array_push($order, $i);
		}
		return $lines;
	}
	
	function printTemplateMeta($metaFile, $referenceNames)
	{
		if (file_exists($metaFile))
		{
			$order=array();
			$classNames = array();
			$lines = getOrder($metaFile, $referenceNames, 2, $order, $classNames);
			$sLine = split(" ", $lines[1]);
			echo "<table><tr><td width=150><b>Class</b></td>";
			echo "<td width=50><b>%msh</b></td><td width=50><b>err</b></td></tr>";
			for ($i=0; $i<count($order); $i++)
			{
				$id = $order[$i]+2;
				$cLine = split(" ", $lines[$id]);
				echo "<tr>";
				echo "<td>".$cLine[0]."</td>";
				echo "<td>".strPercent($cLine[2], intval($cLine[1])+intval($cLine[2]))."</td>";
				$val = intval(10000.*floatval($cLine[4])/floatval($cLine[3]));
				echo "<td>".intval($val/100).".".($val%100)."</td>";
				echo "</tr>";
			}
			echo "<tr>";
			echo "<td><b>All</b></td>";
			echo "<td><b>".strPercent($sLine[2], intval($sLine[1])+intval($sLine[2]))."</b></td>";
			$val = intval(10000.*floatval($sLine[4])/*/floatval($sLine[3])*/);
			echo "<td><b>".intval($val/100).".".($val%100)."</b></td>";
			echo "</tr>";
			echo "</table>";
		}
		else
		{
			echo "No Meta Data";
		}
	}
	
	function printMethodStats($statsFile, $referenceNames)
	{
		$order=array();
		$classNames = array();
		$lines = getOrder($statsFile, $referenceNames, 2, $order, $classNames);
		
		$sLine = split(" ", $lines[1]);
		echo "".$lines[0]."<br>";
		echo "<table><tr><td width=150><b>Class</b></td>";
		echo "<td width=50><b>Acc</b></td><td width=50><b>Models</b></td></tr>";
		for ($i=0; $i<count($order); $i++)
		{
			$id = $order[$i]+2;
			$cLine = split(" ", $lines[$id]);
			echo "<tr>";
			$url="viewtemplates.php?dataset=".$cLine[0]."&method=".$lines[0];
			echo "<td><a href=".$url.">".$cLine[0]."</a></td>";
			echo "<td>".strPercent($cLine[1], $cLine[2])."</td>";
			echo "<td>".$cLine[3]."</td>";
			echo "</tr>";
		}
		
		if (count($referenceNames)>0)
		{
			for ($i=0; $i<(count($referenceNames)-count($order)); $i++)
				echo "<tr><td colspan=3>N/A</td></tr>";
		}

		echo "<tr>";
		echo "<td><b>All</b></td>";
		echo "<td><b>".strPercent($sLine[0], $sLine[1])."</b></td>";
		echo "<td><b>".$sLine[2]."</b></td>";
		echo "</tr>";
		echo "</table>";
		return $classNames;
	}
	
	function printAllStats($dataPrefix)
	{
		global $dataDir;
		$handle = opendir($dataDir);
		if ($handle==false)
		{
			echo "[ERROR] Cannot find directory: ".$dataDir."<br>";
			return;
		}
		$entries = array();
		while (false !== ($entry = readdir($handle)))
		{
			if (strlen($entry) > strlen(".txt")+strlen($dataPrefix) &&
				strncmp($entry, $dataPrefix, strlen($dataPrefix))==0 && 
				substr_compare ($entry, ".txt" , -4 )==0 && 
				substr_compare ($entry, "tMetaInfo.txt" , -13 )!=0)
				array_push($entries, $entry);
		}
		sort($entries);
		if (count($entries)>0)
		{	
			echo "<table><tr>";
			$refOrd = array();
			for ($i=0; $i<count($entries); $i++)
			{
				echo "<td width=300>";
				
				if ($i==0)
					$refOrd = printMethodStats($dataDir.$entries[$i], $refOrd);
				else
					printMethodStats($dataDir.$entries[$i], $refOrd);
				echo "</td>";
			}
			echo "</tr>";
			echo "<tr><td colspan = ".count($entries)." align=center>";
			// TEMPLATE info - temporarily disabled
			/*echo "<b>----- TEMPLATE INFO -----</b></td></tr>";
			echo "<tr>";
			for ($i=0; $i<count($entries); $i++)
			{
				echo "<td>";
				$metaFile = substr( $entries[$i] , 0, -4)."_tMetaInfo.txt";
				printTemplateMeta($dataDir.$metaFile, $refOrd);
				echo "</td>";
			}*/
			echo "</tr></table>";
		}
	}
	
	function readHierarchy($dataPrefix)
	{
		$readFile = 0;
		// read hierarchy file
		if (file_exists($dataPrefix."/hierarchy.bin"))
		{
			$hierarchyFile = fopen($dataPrefix."/hierarchy.bin", "rb");
			$nTemplates = unpack("i", fread ($hierarchyFile , 4));
			$nTemplates = intval($nTemplates[1]);
			if ($nTemplates > 0)
			{
				$readFile = 1;
				$hierarchyStr = unpack("i".$nTemplates, fread ($hierarchyFile , 4 * $nTemplates));
				for ($i = 1; $i <= $nTemplates; $i++)
					$hierarchy[$i-1] = intval($hierarchyStr[$i]);
			}
			fclose($hierarchyFile);
		}
		
		// if there is no hierarchy file - just link everything to parent
		if (!$readFile)
		{
			$imgFile=$dataPrefix."/template".$nTemplates.".jpg";
			while (is_file($imgFile))
			{
				$hierarchy[$nTemplates] = 0;
				$nTemplates++;
				$imgFile = $dataPrefix."/template".$nTemplates.".jpg";
			}
			$hierarchy[0] = -1;
		}
		
		return $hierarchy;
	}
	
	function printTemplateImages($dataPrefix, $urlpfxNoPage, $urlpfxWithPage)
	{
		global $seed, $publish, $coAlignThresh, $page, $special;
		if ($special == "notmplt")
			return;
		$hierarchy = readHierarchy($dataPrefix);
		if (file_exists($dataPrefix."/ModelsPerSeed".$coAlignThresh.".txt"))
			$perSeedModels = file($dataPrefix."/ModelsPerSeed".$coAlignThresh.".txt");
		else
		{
			$perSeedModels = array();
			for ($i=0; $i<count($hierarchy); $i++)
				array_push($perSeedModels, "XXX XXX");
		}
		$nTemplates = count($hierarchy);
		// visualize the tree
		$img = "<table><tr>";
		$img = $img."<td><b>Template</b></td>";
		$img = $img."<td><b>Co-Aligned<br>Children</b></td>";
		$img = $img."<td><b>Co-Aligned<br>Descendants</b></td>";
		$img = $img."<td><b>Rigidly Aligned<br>Children</b></td>";
		$img = $img."<td><b>Rigidly Aligned<br>Descendants</b></td>";
		$img = $img."<td><b>Filter<br>Models</b></td>";
		$img = $img."</tr>";
		$toVisit[0] = 0;
		$depth[0] = 0;
		while (count($toVisit)>0)
		{
			// draw current parent
			$pid =  array_shift ($toVisit);
			$selected = $seed=="D".($pid)||$seed=="S".($pid);
			$currDepth = $depth[$pid];
			$parent = $hierarchy[$pid];
			
			$imgFile = $dataPrefix."/template".$pid.".jpg";

			if (! $selected)
				$img = $img."<tr>";
			else
				$img = $img."<tr bgcolor=\"#CfCfFf\">";
			$img = $img."<td valign=\"top\">";
			
			if ($currDepth>0)
			{
				$img = $img."&lfloor;".$parent;
				for ($i=1; $i<$currDepth; $i++)
					$img = $img."&mdash;&mdash;";			//&ndash;&mdash;
				$img = $img."&rarr; ".$pid;
			}

			$coAlignImgSize = 100;
			if ($publish=="distribute")
				$coAlignImgSize = 110;

			if ($publish=="distribute")
				$img = $img."".getImgTag($imgFile, $coAlignImgSize)."</td>";				
			else
				$img = $img."<a href=".$imgFile." target=_blank>".getImgTag($imgFile, $coAlignImgSize)."</a></td>";
			$nPerCurrSeed = split(" ", trim($perSeedModels[$pid]));
			#$coAlignThresh="_50";
			#$coAlignThresh="";
			if (intval(trim($nPerCurrSeed[0]))>0)
			{
				$imgFile = $dataPrefix."/CoAligned_S".$pid.$coAlignThresh.".jpg";
				if ($publish=="distribute")
					$img = $img."<td>".getImgTag($imgFile, $coAlignImgSize)."</td>";
				else
					$img = $img."<td><a href=".$imgFile." target=_blank>".getImgTag($imgFile, $coAlignImgSize)."</a></td>";
			}
			else
				$img = $img."<td>N/A</td>";

			if (intval(trim($nPerCurrSeed[1]))>0)
			{
				$imgFile = $dataPrefix."/CoAligned_D".$pid.$coAlignThresh.".jpg";
				if ($publish=="distribute")
					$img = $img."<td>".getImgTag($imgFile, $coAlignImgSize)."</td>";
				else
					$img = $img."<td><a href=".$imgFile." target=_blank>".getImgTag($imgFile, $coAlignImgSize)."</a></td>";
			}
			else
				$img = $img."<td>N/A</td>";
			
			if (intval(trim($nPerCurrSeed[0]))>0)
			{
				$imgFile = $dataPrefix."/RigidAligned_S".$pid.$coAlignThresh.".jpg";
				if ($publish=="distribute")
					$img = $img."<td>".getImgTag($imgFile, $coAlignImgSize)."</td>";
				else
					$img = $img."<td><a href=".$imgFile." target=_blank>".getImgTag($imgFile, $coAlignImgSize)."</a></td>";
			}
			else
				$img = $img."<td>N/A</td>";

			if (intval(trim($nPerCurrSeed[1]))>0)
			{
				$imgFile = $dataPrefix."/RigidAligned_D".$pid.$coAlignThresh.".jpg";
				if ($publish=="distribute")
					$img = $img."<td>".getImgTag($imgFile, $coAlignImgSize)."</td>";
				else
					$img = $img."<td><a href=".$imgFile." target=_blank>".getImgTag($imgFile, $coAlignImgSize)."</a></td>";
			}
			else
				$img = $img."<td>N/A</td>";
			
			global $filelist;

			if ($pid == $seed)
				$url = $urlpfxWithPage."&filelist=".$filelist;
			else
				$url = $urlpfxNoPage."&filelist=".$filelist;

			$img = $img."<td>";
			if ($publish=="distribute")
			{
				$img = $img."Children: ".$nPerCurrSeed[0]."<br>";
				$img = $img."Descendants: ".$nPerCurrSeed[1]."";
			}
			else
			{
				$img = $img."<a href=".$url."&seed=S".$pid.">Children</a>: ".$nPerCurrSeed[0]."<br>";
				$img = $img."<a href=".$url."&seed=D".$pid.">Descendants</a>: ".$nPerCurrSeed[1]."";
			}
			$img = $img."</td>";

			$img = $img."</tr>";
			
			// descend into children
			for ($i = 1; $i < $nTemplates; $i++)
			{
				if ($hierarchy[$i] == $pid)
				{
					array_unshift($toVisit, $i);
					$depth[$i] = $currDepth + 1;
				}
			}
		}
		$img = $img."</table>";
		print("<br><br>".$img);
	}
	
	function printPrefixPostfix($pageType)
	{
		global $allmpfx, $allmpostfix;
		global $mpfx, $mpostfx;

		echo "Method Prefix: ";
		for ($i=0; $i<count($allmpfx); $i++)
		{
			$url = "./viewtemplates.php?mpfx=".$allmpfx[$i];
			if ($pageType!="main")
				$url = $url."&dataType=".$pageType;
			if ($mpostfx!="")
				$url = $url."&mpostfx=".$mpostfx;
			if (strlen($allmpfx[$i])==0)
				$name="ShowAll";
			else
			 	$name = $allmpfx[$i];
			echo "<a href=".$url.">".$name."</a>   ";
			
		}
		echo "<br>";
		
		if ($pageType!="main")
		{
			//pageType - dataType
			echo "Method Post-fix: ";
			for ($i=0; $i<count($allmpostfix); $i++)
			{
				$url = "./viewtemplates.php?mpostfx=".$allmpostfix[$i];
				$url = $url."&dataType=".$pageType;
				if ($mpfx!="")
					$url = $url."&mpfx=".$mpfx;
				if (strlen($allmpostfix[$i])==0)
					$name="ShowAll";
				else
					$name = $allmpostfix[$i];
				echo "<a href=".$url.">".$name."</a>   ";
				
			}
			echo "<br><br>";
		}
	}
	
	// list data dir
	$tab="&nbsp;&nbsp;&nbsp;&nbsp";
	if ($dataset=="none" && $dataType=="")
	{
		printPrefixPostfix("main");
		
		echo "<table><tr><td width=800>";
		echo "<a href=\"./viewtemplates.php?dataType=PSB_\">";
		echo "<h2>Princeton Shape Benchmark</h2></a>";
		printAllStats("PSB_".$mpfx);
		echo "<a href=\"./viewtemplates.php?dataType=CoSegB_\">";
		echo "<h2>Co-Segmentation Benchmark</h2></a>";
		printAllStats("CoSegB_".$mpfx);
		echo "<a href=\"./viewtemplates.php?dataType=FC_\">";
		echo "<h2>Correspondence Benchmark (FuzzyCorrs)</h2></a>";
		printAllStats("FC_".$mpfx);
		echo "<a href=\"./viewtemplates.php?dataType=SD_\">";
		echo "<h2>Chaudhuri et al.'11 Data</h2></a>";
		printAllStats("SD_".$mpfx);
		echo "<a href=\"./viewtemplates.php?dataType=GW\">";
		echo "<h2>Google Warehouse</h2></a>";
		echo "</td></tr></table>";
	}
	else if ($dataset=="none")
	{
		#$url="viewtemplates.php?dataset=".$data."&method=".$methods[$m];
		#$printflags

		printPrefixPostfix($dataType);
		
		$srtGroups = array();
		
		$groupFirst = array();
		$groupNMethods = array();
		$accuracy = array();
		$methodScore = array();
		$methodScore2 = array();
		$methods = array();
		$datasets = array();
		
		$handle = opendir($dataDir);
		while (false !== ($entry = readdir($handle)))
		{
			$tpSame = !(strncmp($entry, $dataType, strlen($dataType)));
			if (!$tpSame && $dataType=="GW")
				$tpSame = ((strncmp($entry, "PSB_", 4)) && (strncmp($entry, "SD_", 3))
						   && strncmp($entry, "CoSegB_", 7) && strncmp($entry, "FC_", 3));
			if (is_dir($dataDir.$entry."/Templates/") && $tpSame )
			{
				$cDir=$dataDir.$entry."/Templates/";
				$handle2 = opendir($cDir);
				$nMethods = 0;
				$bestScore = 0;
				$fMethod = count($accuracy);
				while (false !== ($entry2 = readdir($handle2)))
				{
					if (is_dir($cDir.$entry2) && $entry2!="." && $entry2!="..")
					{
						if (($mpfx!="" && strncmp($entry2, $mpfx, strlen($mpfx))!=0)
							|| ($mpostfx!="" && substr_compare($entry2, $mpostfx, strlen($entry2)-strlen($mpostfx))!=0))
							continue;
						$matchingFile=$cDir.$entry2."/LabeledModels.txt";
						if (!is_file($matchingFile))
							echo "[ERROR] Missing file: ".$matchingFile."<br>";
					
						$evalFile = $cDir.$entry2."/eval_faces.txt";
						if (is_file($evalFile)!=true)
							$evalFile = $cDir.$entry2."/eval.txt";
						if (is_file($evalFile))
						{
							$f = fopen($evalFile, 'r');
							$firstLine = fgets($f);
							$fLine = explode(" ", $firstLine); 
							fclose($f);
							$acc = floatval($fLine[1])/floatval($fLine[3]);
						}
						else
							$acc = -1;
						$nMethods++;
						
						$scoreFile = $cDir.$entry2."/template_score.txt";
						$score = -1;
						$score2 = -1;
						if (is_file($scoreFile))
						{
							$f = fopen($scoreFile, 'r');
							$firstLine = fgets($f);
							$fLine = explode(" ", $firstLine);
							$score = floatval($fLine[1]);
							fgets($f);
							$firstLine = fgets($f);
							$fLine = explode(" ", $firstLine);
							$score2 = floatval($fLine[1]);
							fclose($f);
						}
						
						array_push($accuracy, $acc);
						array_push($methods, $entry2);
						array_push($methodScore, $score);
						array_push($methodScore2, $score2);
						
						if ($score < $bestScore)
							$bestScore = $score;
					}
				}
				closedir($handle2);
				
				array_push($groupFirst, $fMethod);
				array_push($groupNMethods, $nMethods);
				array_push($datasets, $entry);
				array_push($srtGroups, $entry2);
			}
		}
		closedir($handle);
		asort($srtGroups);
		$srtGroups = array_reverse($srtGroups, true);
		
		//echo "<h1>Click on a method</h1>";
		foreach ($srtGroups as $key => $val) 
		{
			$nMethods = $groupNMethods[$key];
			$data = $datasets[$key];
			$cDir=$dataDir.$data."/Templates/";
			
			$accStr = "";
			$acc2score = "";
			echo "<b>".$data."</b>";
			echo "<table>";
			echo "<tr><td width=150>Experiment</td><td width=50>Acc</td><td width=50>&sigma;</b>";
			echo "<td width=50><b>&sum;e</b></td></tr>";
			$groupOrder = array();
			for ($i=0; $i<$nMethods; $i++)
				//array_push($groupOrder, -$methodScore2[$groupFirst[$key]+$i]);
				array_push($groupOrder, $methodScore2[$groupFirst[$key]+$i]);
			asort($groupOrder);
			#$groupOrder = array_reverse($groupOrder, true);

			foreach ($groupOrder as $i => $val2)
			{
				$m = $groupFirst[$key]+$i;
				$url="viewtemplates.php?dataset=".$data."&method=".$methods[$m];
				echo "<tr><td>";
				echo "&nbsp; &nbsp; <a href=\"".$url."\">".$methods[$m]."</a>";
				if ($accuracy[$m]>0)
				{
					$ipart = intval(100.*$accuracy[$m]);
					$dpart = intval(10000.*$accuracy[$m])%100;
					
					echo "<td>(".$ipart.".".$dpart."%)</td>";
					$accStr=$accStr." ".intval(100.*$accuracy[$m]);
					if ($methodScore2[$m]>0)
					{
						if ($acc2score!="")
							$acc2score=$acc2score.";";
						$acc2score = $acc2score." [".intval(100.*$accuracy[$m])." ";
						$acc2score = $acc2score.(intval(100 * $methodScore2[$m])/100.)."]";
					}
				}
				else
					echo "<td></td>";
				if ($methodScore[$m] > 0)
					//echo "<td><b>".(intval(100 * $methodScore[$m])/100.)."</b></td>";
					echo "<td>".(intval(100 * $methodScore[$m])/100.)."</td>";
				else
					echo "<td></td>";
				if ($methodScore2[$m]>0)
					//echo "<td>".(intval(100 * $methodScore2[$m])/100.)."</td>";
					echo "<td><b>".(intval(100 * $methodScore2[$m])/100.)."</b></td>";
				else
					echo "<td></td>";
				echo "</td></tr>";
			}
			echo "</table><br>";
			#print("Accuracies: [".$accStr."]<br>");
			#print("Acc2Score: [".$acc2score."]<br><br>");
		}	
	}
	else
	{
		$mListTypes = array("RemainingModels", "LabeledModels", "DeformedModels", "ClusteredModels", "*ExcludedModels", "*SucceededModels");
		$nShouldBe = 0;
		$nFound = 0;
		
		if ($publish == "distribute")
		{
			echo "<h2>";
			if ($dataset=="chair_all_objonly")
				echo "Seats: 7442";
			elseif ($dataset=="planes_all_objonly")
				echo "Planes: 3114";
			elseif ($dataset=="bike_objonly")
				echo "Bikes: 471";
			elseif ($dataset=="helicopter_objonly")
				echo "Helicopters: 452";
			elseif ($dataset=="helicopter_objonly")
				echo "Helicopters: 452";
			elseif ($dataset=="FC_Boeing86")
				echo "Commercial Airplanes: 86";
			elseif ($dataset=="FC_Chair111")
				echo "Chairs: 111";
			elseif ($dataset=="CoSegB_Chairs21")
				echo "CoSeg Data: Chairs: 20";
			elseif ($dataset=="CoSegB_Vase300")
				echo "CoSeg Data: Vases: 300";
			elseif ($dataset=="CoSegB_Vase28")
				echo "CoSeg Data: Vases: 28";
			elseif ($dataset=="CoSegB_Lamps")
				echo "CoSeg Data: Lamps: 20";
			elseif ($dataset=="CoSegB_Chairs400")
				echo "CoSeg Data: : Chairs: 400";
			elseif ($dataset=="CoSegB_FourLegged")
				echo "CoSeg Data: FourLegged: 20";
			elseif ($dataset=="CoSegB_Candelabra")
				echo "CoSeg Data: Candelabra: 20";
			elseif ($dataset=="CoSegB_Guitars")
				echo "CoSeg Data: Guitars: 44";
			elseif ($dataset=="CoSegB_Goblets")
				echo "CoSeg Data: Goblets: 12";
			else
				echo $dataset;
			
			// if ($method=="gt_jan6_release_GenFinal")
			// 	echo "<br>WARNING SUBSET RESULTS";
			echo "</h2>";
		}
		else
			echo "<h3>Visualizing ".$dataset.": ".$tab.$method." : ".$seed."</h3>";
		$modelsFile=$dataDir.$dataset."/ModelList.txt";

		$cDir=$dataDir.$dataset."/Templates/";
		if ($publish == "debug")
		{
			echo "Settings: ";
			$url="viewtemplates.php?dataset=".$dataset."&method=".$method;
			echo "[<a href=".$url."&publish=random&nMaxPerPage=50>Random</a>]";
			echo "[<a href=".$url."&publish=distribute&nMaxPerPage=500>Distribute</a>]<br>";
			echo "CoAlign Subset: ";
			echo "[<a href=".$url."&coAlignThresh=_25".">coalign 25</a>]";
			echo "[<a href=".$url."&coAlignThresh=_50".">coalign 50</a>]";
			echo "[<a href=".$url."&coAlignThresh=_75".">coalign 75</a>]";
			echo "[<a href=".$url."&coAlignThresh=_150".">coalign 150</a>]";
			echo "[<a href=".$url.">coalign all</a>]<br>";
		}

		if ($publish == "debug")
		{
			echo "Filters: ";
			# list filters
			for ($i=0; $i < count($mListTypes); $i++)
			{
				$url="viewtemplates.php?dataset=".$dataset."&method=".$method."&filelist=".$mListTypes[$i];
				if ($seed!="")
					$url=$url."&seed=".$seed;
				if ($mListTypes[$i]==$filelist)
					echo "[<b><a href=".$url.">".$mListTypes[$i]."</a></b>]";
				else
					echo "[<a href=".$url.">".$mListTypes[$i]."</a>]";
			}
			echo "<br><br>";
		}
		# files
		$matchingFile=$cDir.$method."/".$filelist.".txt";
		if ($filelist[0]=="*")
		{
			$tmpdir = $method;
			$lpos = strrpos ( $method , "_Gen");
			$id = substr( $method , $lpos+4 );
			$newDir = substr( $method , 0, $lpos);
			$subName = substr($filelist, 1, strlen($filelist));
			$matchingFile = $cDir.$newDir."_Gen".(intval($id)+1)."/".$subName.".txt";
		}
		
		$evalFile=$cDir.$method."/eval_faces.txt";
		$tInfoFile = $cDir.$method."/tSelfInfo.txt";
		$timeLogFileALL= $cDir.$method."/FinalTime.log.txt";
		$timeLogFileEVOLVE= $cDir.$method."/FinalTimeEvolve.log.txt";
		$timeLogFileLABEL= $cDir.$method."/FinalTimeLabelOnly.log.txt";
		$scoreFile = $cDir.$method."/template_score.txt";
		
		if ($publish == "debug")
		{
			$plotTypes = array("perpoint", "pershape");
			echo "<table><tr><td><b>Per Point Corrs</b></td><td><b>Per Shape Corrs</b></td></tr><tr>";
			for ($i=0; $i<count($plotTypes); $i++)
			{
				$plotsJPG = $cDir.$method."/corrs_".$dataset."_".$plotTypes[$i].".jpg";
				$plotsPDF = $cDir.$method."/corrs_".$dataset."_".$plotTypes[$i].".cropped.pdf";
				if (file_exists($plotsJPG))
					$plotsIMG = $plotsJPG;
				else
					$plotsIMG = $plotsPDF;
				$plotsM = $cDir.$method."/corrs_results_".$plotTypes[$i].".m";
				if (file_exists($plotsIMG) || file_exists($plotsM))
				{
					echo "<td>";
					echo "<a href=".$plotsPDF.">".getImgTag($plotsIMG, 200)."</a><br>";
					echo "<a href=".$plotsPDF.">PDF</a> <a href=".$plotsM.">Matlab</a>"."<br><br>";
					echo "</td>";
				}
			}
			echo "</tr></table>";
		
			if (file_exists($timeLogFileALL))
			{
				print("<b>Compute Times (Total):</b><br>");
				$fh = fopen($timeLogFileALL, 'r'); $seq = fgets($fh); $seq = fgets($fh);
				$par = fgets($fh); fclose($fh);
				echo "&nbsp;&nbsp;&nbsp;&nbsp;".$seq."<br>&nbsp;&nbsp;&nbsp;&nbsp;".$par."<br>";

				if (file_exists($timeLogFileEVOLVE))
				{
					print("<b>Compute Times (Evolve):</b><br>");
					$fh = fopen($timeLogFileEVOLVE, 'r'); $seq = fgets($fh); $seq = fgets($fh);
					$par = fgets($fh); fclose($fh);
					echo "&nbsp;&nbsp;&nbsp;&nbsp;".$seq."<br>&nbsp;&nbsp;&nbsp;&nbsp;".$par."<br>";
				}
				if (file_exists($timeLogFileLABEL))
				{
					print("<b>Compute Times (Final Label):</b><br>");
					$fh = fopen($timeLogFileLABEL, 'r'); $seq = fgets($fh); $seq = fgets($fh);
					$par = fgets($fh); fclose($fh);
					echo "&nbsp;&nbsp;&nbsp;&nbsp;".$seq."<br>&nbsp;&nbsp;&nbsp;&nbsp;".$par."<br>";
				}		
			}
			
			if (file_exists($scoreFile))
			{
				print("<br>");
				$fArray = file($scoreFile);
				print("<b>Template Scores:</b><br>");
				foreach ($fArray as $line)
					print("&nbsp;&nbsp;&nbsp;&nbsp;".$line."<br>");
				
			}
		}

		// check which models to demonstrate
		$hierarchy = readHierarchy($cDir.$method."/");
		$validSeeds = array();
		if (strlen($seed)>0)
		{
			$sfiltermode = substr($seed, 0, 1);
			$seedid = intval(substr($seed, 1));
			if ($sfiltermode=="S")
				$validSeeds[$seedid] = 1;
			else
			{
				$toCheck[0] = $seedid;
				while (count($toCheck)>0)
				{
					// draw current parent
					$pid =  array_shift ($toCheck);
					$validSeeds[$pid] = 1;

					# add all children
					for ($i = 1; $i < count($hierarchy); $i++)
					{
						if ($hierarchy[$i] == $pid)
							array_push($toCheck, $i);
					}
				}
			}
		}
		
		$linesoff = 0;
		$thresh = -1;
		if ($coAlignThresh!="")
			$thresh = floatval(substr($coAlignThresh, 1));
		if (file_exists($matchingFile))
		{
			$linesTest = file($matchingFile);
			$lines = array();
			for ($i=0; $i<count($linesTest); $i++)
			{
				$modelInfo=split(" ", $linesTest[$i]);
				$add = !(count($modelInfo)>=5 && strlen($seed)>0
						 && !array_key_exists(intval($modelInfo[3]), $validSeeds));

				if ($add && $thresh>0 && $thresh < $modelInfo[1])
					$add = false;

				if ($add)
					array_push($lines, $linesTest[$i]);
			}
		}
		
		if (file_exists($evalFile))
			$evalLines = file($evalFile);
		$nEvalModels=0.;
		$nEvalPts = 0.;
		$nCorrect = 0;
		$nCorrectWNull = 0;
		if ($publish=="debug" && file_exists($evalFile))
		{
			echo "<br><table border=0><tr>";
			$evalFirstLine = split(" ", $evalLines[0]);
			$nCorrect = floatval($evalFirstLine[1]);
			$nCorrectWNull = floatval($evalFirstLine[2]);
			$nEvalModels = floatval($evalFirstLine[4]);
			$nEvalPts = floatval($evalFirstLine[3]);
			echo "<td><b>Results for ".intval($nEvalModels)." models</b></td>";
			echo "</tr><tr>";
			echo "<td valign=\"top\">";
			echo "Ave Accuracy: ";
			echo strPercent($nCorrect, $nEvalPts)."<br>";
			echo "<table border=0>";
			echo "<tr><td width=50><b>Label</b></td>";
			echo "<td width=50><b>Pr</b></td>";
			echo "<td width=50><b>Rc</b></td>";
			echo "<td width=50><b>% lab.</b></td>";
			echo "<td width=50><b>% gt.</b></td>";
			echo "<td width=50><b>Models</b></td></tr>";
			
			$notInGt = 0;
			for ($eln=1; $eln < count($evalLines); $eln++)
			{
				$evalLine = split(" ", $evalLines[$eln]);
				if (floatval($evalLine[2])==0 || floatval($evalLine[3])==0)	
					continue;
				
				echo "<tr><td>".$evalLine[0]."</td>";
				echo "<td>".strPercent($evalLine[1], $evalLine[2])."</td>";
				echo "<td>".strPercent($evalLine[1], $evalLine[3])."</td>";
				echo "<td>".strPercent($evalLine[2], $nEvalPts)."</td>";
				echo "<td>".strPercent($evalLine[3], $nEvalPts)."</td>";
				echo "<td>".$evalLine[4]."</td></tr>";
			}
			echo "<tr><td colspan=6 align=center><b>--- NOT IN TEMPLATE ---</b></td></tr>";
			for ($eln=1; $eln < count($evalLines); $eln++)
			{
				$evalLine = split(" ", $evalLines[$eln]);
				if (floatval($evalLine[2])==0)
				{
					echo "<tr><td>".$evalLine[0]."</td>";
					echo "<td></td><td></td>";
					echo "<td></td><td>".strPercent($evalLine[3], $nEvalPts)."</td>";
					echo "<td>".$evalLine[4]."</td></tr>";
				}
			}
			
			echo "<tr><td colspan=6 align=\"center\"><b>--- NOT IN DATA ---</b></td></tr>";
			for ($eln=1; $eln < count($evalLines); $eln++)
			{
				$evalLine = split(" ", $evalLines[$eln]);
				if (floatval($evalLine[3])==0)	
				{
					echo "<tr><td>".$evalLine[0]."</td>";
					echo "<td></td><td></td><td>".strPercent($evalLine[2], $nEvalPts)."</td>";
					echo "<td></td><td>".$evalLine[4]."</td></tr>";
				}
			}
			
			echo "</table></td>";
			echo "</tr></table>";
		}
		

		$url="viewtemplates.php?dataset=".$dataset."&method=".$method;
		$url=$url."&publish=".$publish."&nMaxPerPage=".$nMaxPerPage;
		printTemplateImages($cDir.$method."/", $url, $url."&page=".$page);
		if ($special=="nomodels")
			exit();

		/*if (file_exists($tInfoFile))
		{
			echo "<br><table><tr>";
			echo "<td><b>Part</b></td> <td><b>Boxes</b></td> <td><b>Meshes</b></td>";
			echo "<td><b>Total</b></td> <td><b>Err</b></td></tr>";
			$tInfoLines = file($tInfoFile);
			for ($tln=0; $tln < count($tInfoLines ); $tln++)
			{
				$tLine = split(" ", $tInfoLines[$tln]);
				echo "<tr><td>".$tLine[0]."</td><td>".$tLine[1]."</td>";
				$errval = intval(10000*intval($tLine[4])/intval($tLine[3]));
				echo "<td>".$tLine[2]."</td><td>".$tLine[3]."</td>";
				echo "<td>".($errval/100)."</td></tr>";
			}
			echo "</table>";
		}*/
		echo "<br><br>";
		$first = $nMaxPerPage * $page;
		$last = $first + $nMaxPerPage;
		$nLines = count($lines)-$linesoff;
		if ($publish=="random")
		{
			$arrayCpy = array_slice ( $lines , $linesoff);
			shuffle($arrayCpy);
			$lines = array_merge(array_slice($lines, 0, $linesoff), $arrayCpy);
		}
		if ($last > $nLines)
			$last = $nLines;
		$pageFlipURL = "";
		$url="viewtemplates.php?dataset=".$dataset."&method=".$method."&filelist=".$filelist;
		$url=$url."&publish=".$publish."&nMaxPerPage=".$nMaxPerPage;
		if ($seed!="")
			$url=$url."&seed=".$seed;
		$url=$url."&page=";

		if ($first>0 && $publish!="distribute")
			$pageFlipURL=$pageFlipURL."<a href=".$url.strval($page-1).">Prev</a>";
		$pageFlipURL=$pageFlipURL." (".strval($first)." - ".strval($last)." / ".$nLines.") ";
		if ($last<$nLines && $publish != "distribute")
			$pageFlipURL=$pageFlipURL."<a href=".$url.strval($page+1).">Next</a>";
		echo $pageFlipURL."<br>";

		$name2corrScore = array();
		$corrsEvalFile=$cDir.$method."/evalCorrs.euclerr.txt";
		if (file_exists($corrsEvalFile))
		{
			$corrEvalLines = file($corrsEvalFile);
			for ($i=1; $i < count($corrEvalLines); $i++)
			{
				$scoreEntries = split(" ", $corrEvalLines[$i]);
				if (count($scoreEntries)>=2)
					$name2corrScore[$scoreEntries[0]] = $scoreEntries[1];
			}
		}
		
		# write per mode linfo
		$wrotehead = 0;
		if (is_dir($cDir.$method))
		{
			//foreach ($lines as $line_num => $line) 
			for ($line_num=$first; $line_num < $last; $line_num++)
			{
				
				$line = $lines[$line_num+$linesoff];
				$modelInfo=split(" ", $line);
				$modelInfo[0] = trim($modelInfo[0]);
				if ($publish=="random" && floatval($modelInfo[1])>150)
					continue;

			    //$imgFile=thumbDir($dataset, $modelInfo[0])."/Segmentation.jpg";
				$imgFileS=$cDir.$method."/".$modelInfo[0]."/segPnts.jpg";
				$imgFileM=$cDir.$method."/".$modelInfo[0]."/segMesh.jpg";
				$imgFileF=$cDir.$method."/".$modelInfo[0]."/matchedTmplt.jpg";
				$imgFileA=$cDir.$method."/".$modelInfo[0]."/match.deformed.mesh.jpg";
				$imgFileD=$cDir.$method."/".$modelInfo[0]."/deformOnly.deformed.jpg";
				#print("TEST:".$imgFileD."<br>");
				
				$imgSize = 140;
				$imgS = getImgTag($imgFileS, $imgSize);
				$imgF = getImgTag($imgFileF, $imgSize);
				$imgA = getImgTag($imgFileA, $imgSize);
				$imgM = getImgTag($imgFileM, $imgSize);
				
				if (!$wrotehead)
				{
					$wrotehead = 1;
					echo "<table border=1><tr>";
					echo "<td><b>Segmentation<br>Points</b></td>";
					echo "<td><b>Segmentation<br>Mesh</b></td>";
					echo "<td><b>Deformation</b></td>";
					echo "<td><b>Final<br>Template</b></td>";
					if (is_file($imgFileD))
						echo "<td><b>Unconstrainted<br>Deformation</b></td>";
					else
						echo "<td></td>";
					echo "<td><b>Stats</b></td></tr>";
				}
				echo "<tr>";
				echo "<td>".$imgS."</td>";
				echo "<td>".$imgM."</td>";
				echo "<td>".$imgF."</td>";
				echo "<td>".$imgA."</td>";
				if (is_file($imgFileD))
					echo "<td>".getImgTag($imgFileD, $imgSize)."</td>";
				else
					echo "<td></td>";

			    echo "<td><table>";
				$murl="viewmodel.php?dataset=".$dataset."&model=".$modelInfo[0];
				echo "<tr><td colspan=3><b>Name:</b> ";
				if ($publish=="distribute")
					echo $modelInfo[0];
				else
					echo "<a href=".$murl.">".$modelInfo[0]."</a>";
				echo "</td></tr>";
				if (count($modelInfo)>=2)
					echo "<tr><td colspan=3><b>Energy:</b> ".$modelInfo[1]."</td></tr>";
				if (count($modelInfo)>=3)
				{
					$modelInfo[2] = str_replace("_"," ",$modelInfo[2]);
					echo "<tr><td colspan=3><b>Time:</b> ".$modelInfo[2]."</td></tr>";
				}
				
				if (count($modelInfo)>=5)
					echo "<tr><td colspan=3><b>Template:</b> ".$modelInfo[3]."</td></tr>";
				if (array_key_exists($modelInfo[0], $name2corrScore))
					echo "<tr><td colspan=3><b>Error:</b> ".$name2corrScore[$modelInfo[0]]."</td></tr>";
				
				$evalFile = $cDir.$method."/".$modelInfo[0]."/eval_faces.txt";
				//echo "<td>".$evalFile."</td>";
				if (file_exists($evalFile))
				{
					echo "<tr><td width=50><b>Part</b></td><td width=50><b>Pr</b></td>";
					echo "<td width=50><b>Rc</b></td><td width=50><b>pts</b></td></tr>";
					$evalLines = file($evalFile);
					
					foreach ($evalLines as $evalLineNum => $evalLine)
					{
						if($evalLineNum>10)
						{
							$url=$dataDir.$dataset."/meta/".$modelInfo[0]."/info.txt";
							echo "<tr><td colspan=4><center><a href=".$url.">";
							echo "Other Nodes</a></center></td></tr>";
							break;
						}
						$evalEntries = split(" ", $evalLine);
						
						$f1 = floatval($evalEntries[1]);
						$f2 = floatval($evalEntries[2]);
						$f3 = floatval($evalEntries[3]);
						if ($evalEntries[0]=="All")
						{
							echo "<tr>";
							echo "<td>All</td>";
							echo "<td colspan=2>".strPercent($f1, $f3)."</td>";
							echo "<td>".intval($f3)."</td>";
							echo "</tr><tr>";
							/*echo "<td>W/ NULL</td>";
							echo "<td colspan=2>".strPercent($f2, $f3)."</td>";
							echo "<td>".intval($f3)."</td>";
							echo "</tr>";
							echo "<tr><td colspan=4 align=center> <hr width=20> </td></tr>";*/
						}
						else
						{
							echo "<tr>";
							echo "<td>".$evalEntries[0]."</td>";
							echo "<td>".strPercent($f1, $f2)."</td>";
				   			echo "<td>".strPercent($f1, $f3)."</td>";
							echo "<td>".intval($f3)."</td>";
							echo "</tr>";
						}
					}
				}
				
			    echo "</table></td>";
			    echo "</tr>";
			}
		}
		else
		{
			exit("[ERROR] No templates dir: ".$cDir.$method);
		}
		echo "</tr></table>";
		echo "<br>".$pageFlipURL;
	}	
}
?>
</body>
</html>
